LogoSignature Service
REST APIInvitations

List all invitations

GET
/admin/api/v3/organizations/{organizationId}/rooms/{signingRoomId}/invitations

Authorization

basicAuth
AuthorizationBasic <token>

In: header

Path Parameters

organizationId*string
signingRoomId*string

Query Parameters

searchQuery?string

Search query to filter invitations by email

page?integer

Zero-based page index (0..N)

Formatint32
Default0
size?integer

The size of the page to be returned

Formatint32
Default2000
sortBy?string

Sort By

Default"expiresAt"

Value in

  • "expiresAt"
  • "createdAt"
  • "email"
signingRoomPermissions?string

Signing Room permissions. If not provided all entries are returned

Value in

  • "SIGNATORY"
  • "ASSISTANT"
  • "MANAGER"
sortDirection?string

Sort direction

Default"ASC"

Value in

  • "ASC"
  • "DESC"
Manager?boolean
Deprecated

Filter invitations regarding to the manager permissions

Response Body

application/json

curl -X GET "https://example.com/admin/api/v3/organizations/string/rooms/string/invitations"
{  "content": [    {      "createdAt": "2019-08-24T14:15:22Z",      "email": "string",      "expiresAt": "2019-08-24T14:15:22Z",      "id": "string",      "locale": "string",      "manager": true,      "signingRoomPermission": "SIGNATORY"    }  ],  "empty": true,  "first": true,  "last": true,  "number": 0,  "numberOfElements": 0,  "pageable": {    "offset": 0,    "pageNumber": 0,    "pageSize": 0,    "paged": true,    "sort": {      "empty": true,      "sorted": true,      "unsorted": true    },    "unpaged": true  },  "size": 0,  "sort": {    "empty": true,    "sorted": true,    "unsorted": true  },  "totalElements": 0,  "totalPages": 0}